/*************************************************************************************/
/* EzUSB.h									     */	
/*										     */
/* Structures and definitions specific to initializing the EzUSB (8051) chip.	     */		
/*										     */
/* This file is part of the "ADI USB ADSL Driver for Linux".			     */	
/*										     */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it 	     */
/* and/or modify it under the terms of the GNU General Public License as 	     */
/* published by the Free Software Foundation; either version 2 of the License,       */
/* or (at your option) any later version.					     */
/*										     */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be 	     */	
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	     */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		     */	
/* GNU General Public License for more details.					     */	
/*										     */
/* You should have received a copy of the GNU General Public License		     */		
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software    */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	     */
/*************************************************************************************/

#ifndef EZUSB_H
#define EZUSB_H

#define MAX_INTEL_HEX_RECORD_LENGTH 16
typedef struct _INTEL_HEX_RECORD
{
   UInt8  Length;
   UInt16 Address;
   UInt8  Type;
   UInt8  Data[MAX_INTEL_HEX_RECORD_LENGTH];
} INTEL_HEX_RECORD, *PINTEL_HEX_RECORD;

#include "Firmware8051.h"

#define kEZUSB_LOAD_INTERNAL 0xA0
#define k8051_USBCS          0x7f92
#define k8051RetryCount      3

#endif // EZUSB_H

