/**********************************************************************************/
/*										 
 */
/* Copyright (c) 2002, Analog Devices Inc., All Rights Reserved   		  */	
/* Oam.h 									  */
/*										  */
/* This file is part of the "ADI USB ADSL Driver for Linux".			  */	
/*										  */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it      */
/* and/or modify it under the terms of the GNU General Public License as 	  */
/* published by the Free Software Foundation; either version 2 of the License,    */
/* or (at your option) any later version.					  */
/*										  */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be     */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	  */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		  */
/* GNU General Public License for more details.					  */
/*										  */
/* You should have received a copy of the GNU General Public License		  */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	  */
/**********************************************************************************/


void OAMTimerFunction(unsigned long ptr);

// Offsets into cell
#define OAM_TYPE_AND_FN         (ATM_CELL_HEADER_SIZE+0)  
#define OAM_MSGID_AND_DIR       (OAM_TYPE_AND_FN+1)
#define OAM_LOOPBACK_INDICATOR  (OAM_TYPE_AND_FN+1)
#define OAM_CRC10_0             (ATM_CELL_SIZE-2)
#define OAM_CRC10_1             (ATM_CELL_SIZE-1)
#define OAM_FIRST_UNUSED_BYTE   (OAM_TYPE_AND_FN+1)
#define OAM_LAST_UNUSED_BYTE    (ATM_CELL_SIZE-3)

// Function and type definitions
#define OAM_ACTIVATION_CC       0x81
#define OAM_LOOPBACK            0x18
#define OAM_AIS                 0x10
#define OAM_RDI                 0x11
#define OAM_CC                  0x14

// Masks / values for various fields
#define OAM_MASK_MSGID          0xFC
#define OAM_MASK_DIR            0x03
#define OAM_MASK_DIR_AB         0x01
#define OAM_MASK_DIR_BA         0x02
#define OAM_LOOPBACK_REPLY_MASK 0x01
#define OAM_ACTIVATE_REQUEST            0x04
#define OAM_ACTIVATE_CONFIRMED          0x08
#define OAM_ACTIVATE_REQUEST_DENIED     0x0C
#define OAM_DEACTIVATE_REQUEST          0x14
#define OAM_DEACTIVATE_CONFIRMED        0x18
#define OAM_DEACTIVATE_REQUEST_DENIED   0x1C

// OAM cell types
#define OAM_NONE                0x00
#define OAM_F4_SEGMENT          0x01
#define OAM_F4_ENDTOEND         0x02
#define OAM_F5_SEGMENT          0x03
#define OAM_F5_ENDTOEND         0x04

#define OAM_TIMER_VALUE         1000 // 1000 msecs = 1 sec

// Macros
#define CALC_AND_STORE_CRC10(CellPtr) \
    { \
        UInt16 OAMCRC10; \
        CellPtr[OAM_CRC10_0] = 0; \
        CellPtr[OAM_CRC10_1] = 0; \
        OAMCRC10 = ByteCalcCRC10((UInt8 *)(CellPtr+ATM_CELL_HEADER_SIZE), \
                                 ATM_CELL_PAYLOAD_SIZE); \
        CellPtr[OAM_CRC10_0] ^= (OAMCRC10 >> 8); \
        CellPtr[OAM_CRC10_1] ^= (OAMCRC10 & 0xFF); \
    }



