/**********************************************************************************/
/*										  */
/* Options.h									  */
/*										  */
/* User configurable options, fed to us by the usermode program.		  */
/* Note that we have stuff in here that would normally go in some of		  */
/* our other include files, but we include this file in both the 		  */
/* kernel module and the user application so we keep everything here		  */
/* to keep us from making our other includes files app and kernel friendly.	  */
/*										  */
/* This file is part of the "ADI USB ADSL Driver for Linux".			  */	
/*										  */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it 	  */
/* and/or modify it under the terms of the GNU General Public License as 	  */
/* published by the Free Software Foundation; either version 2 of the License,    */
/* or (at your option) any later version.					  */
/*										  */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be     */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	  */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		  */
/* GNU General Public License for more details.					  */
/*										  */
/* You should have received a copy of the GNU General Public License		  */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA      */
/**********************************************************************************/

#ifndef OPTIONS_H
#define OPTIONS_H

// Stuffed with defaults from ADI ...
DriverOption drvOptions[] = 
{
    { "OPTN0", 0x80020066 },
    { "OPTN2", 0x23700000 },
    { "OPTN3", 0x00000000 },
    { "OPTN4", 0x00000000 },
    { "OPTN5", 0x00000000 },
    { "OPTN6", 0x00000000 },
    { "OPTN7", 0x2CD8044 },
    { "OPTN15", 0x00000000 },
    { "VPI", 0 },
    { "VCI", 0x20 },
    { "Encapsulation", 1 },
    { "Linetype", 1 },
    { "RatePollFreq", 10 },
};

CmvMsg drvCMVs[100];

#endif // OPTIONS_H

