/********************************************************************************/
/* Copyright (c) 2002, Analog Devices Inc., All Rights Reserved			   */	
/*										*/
/* Zaps.c									*/
/*										*/
/* IOLog-based debugging output facility					*/
/*										*/
/* To control which modules you see information about, set ModuleMask to a      */
/* sum of the DEBUG_* module defs you want. For example, if you want to see     */
/* details of the SAR and MPOA modules, set ModuleMask = DEBUG_MPOA+DEBUG_SAR.  */
/* To control the level of information you see, set LevelMask to a sum of the   */
/* DEBUG_* level defs you want. For example, to see everytime a function is     */
/* entered, and any errors that occur, set LevelMask = DEBUG_ENTRY+DEBUG_ERRORS.*/
/*										      */
/* ZAP* macro definitions (similar to DBGPRINT macros from NDIS code)		      */	
/*										      */
/* This file is part of the "ADI USB ADSL Driver for Linux".			      */
/*										      */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it 	      */
/* and/or modify it under the terms of the GNU General Public License as 	      */
/* published by the Free Software Foundation; either version 2 of the License, 	      */
/* or (at your option) any later version.					      */
/*										      */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be 	      */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	      */	
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		      */
/* GNU General Public License for more details.					      */
/*										      */
/* You should have received a copy of the GNU General Public License		      */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software     */	
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	      */	
/**************************************************************************************/



/********************************************************************************/

#include "Adiutil.h"

/********************************************************************************/
/* Some global data ...							        */
/********************************************************************************/

UInt32 ModuleMask = 
//                    DEBUG_SAR +
//                    DEBUG_UNI +
//                    DEBUG_MPOA +
//                    DEBUG_INIT +
//                    DEBUG_FIRMWARE +
//                    DEBUG_PIPES +
//                    DEBUG_BOOT +
//                    DEBUG_ENET +
//                    DEBUG_READ +
//                    DEBUG_SM +
//                    DEBUG_CRC + 
//                    DEBUG_WRITE +
//                    DEBUG_MSG +
//                    DEBUG_INTS +
//                    DEBUG_UTILS +
//                    DEBUG_IDMA +
//                    DEBUG_POWER +
//                    DEBUG_MISC +
//                    DEBUG_START +
//                    DEBUG_DSP +
//                    DEBUG_MEMORY +
//                    DEBUG_URB +
//	              DEBUG_OAM +
//		      DEBUG_IOCTL+
//		      DEBUG_ROUTEIP+
		      DEBUG_FFD +
                      0;

UInt32 LevelMask  = DEBUG_ALL;

/********************************************************************************/
/* DoZap									*/
/*										*/
/* Checks the current module and level masks to see if this debug output	*/
/* should be shown to the user or not.						*/
/********************************************************************************/
Boolean DoZap( UInt32 myModule, UInt32 myLevel )
{
    if ((myLevel & DEBUG_ERRORS) || (myLevel & DEBUG_ATTN))
       return TRUE;

    if ((myModule & ModuleMask) && (myLevel & LevelMask))
       return TRUE;
    else
       return FALSE;
}

