/*********************************************************************************/
/*										 */
/* Copyright (c) 2002, Analog Devices Inc., All Rights Reserved			 */
/*										 */
/* AdiUsbAdslDriver.h								 */	
/*										 */
/* IOCtl related definitions to be shared with user mode code			 */
/*										 */
/* This file is part of the "ADI USB ADSL Driver for Linux".   			 */
/*   										 */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it     */
/* and/or modify it under the terms of the GNU General Public License as         */
/* published by the Free Software Foundation; either version 2 of the License,   */  
/* or (at your option) any later version.   					 */	
/*   										 */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be    */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of        */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the   		 */
/* GNU General Public License for more details.   				 */
/*   										 */
/* You should have received a copy of the GNU General Public License  	         */
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software*/   
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA     */ 
/*********************************************************************************/

#ifndef ADIUSBADSLDRIVER_H
#define ADIUSBADSLDRIVER_H

struct adi_dsp_info
{
    UInt32  IDMAStart;
    UInt32  DspSize;
    UInt8  *pDsp;
};

#define ADIUSBADSLDSP     _IOW('U', 100, struct adi_dsp_info)
#define ADIUSBADSLRESET   _IOW('U', 101, struct adi_dsp_info)
#define ADIUSBADSLOPTIONS _IOW('U', 102, struct adi_dsp_info)

#define driver_version      "3.1.1.7"                             //

#define ADIUSBADSLMAC       _IOWR ('U', 103,API_LINK_INFO)        // 
#define ADIUSBADSLCMV       _IOWR('U', 104, API_LINK_INFO)        //
#define ADIUSBADSLVER       _IOWR('U', 105, API_LINK_INFO)        //
#define ADIUSBADSLSTATE     _IOWR('U', 106, int)                  //
#define ADIUSBADSLTESTREQ   _IOWR('U', 107, int)                  //
#define ADIUSBADSLGETSTATE  _IOWR('U', 108, int)                  //
#define ADIUSBADSLDSPMEMR   _IOWR('U', 109,DspRWInfo)             //
#define ADIUSBADSLDSPMEMW   _IOWR('U', 110,DspRWInfo)             //  
#define ADIUSBADSLREADGP    _IOWR('U', 111,int)                   //
#define ADIUSBADSLWRITEGP   _IOWR('U', 112,int)                   //
#define ADIUSBADSLREADPAR   _IOWR('U', 113,ParamReadType)	  //
#define ADIUSBADSLMDRAEDY   _IOWR('U', 114,int)	  		  //
#define ADIUSBADSLSOFTRST   _IOWR('U', 115,int)	  		  //



#define ADIUSBADSLCMVS    _IOW('U', 116, struct adi_dsp_info)


#endif /* ADIUSBADSLDRIVER */


